# Imagick::transformImage

(PECL imagick 2.0.0)

Imagick::transformImage — Convenience method for setting crop size and the image geometry

### Description

Imagick::transformImage ( string `$crop` , string `$geometry` ) : Imagick

A convenience method for setting crop size and the image geometry from strings. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`crop`

  A crop geometry string. This geometry defines a subregion of the image to crop.

`geometry`

  An image geometry string. This geometry defines the final size of the image.

### Return Values

Returns an Imagick object containing the transformed image.

### Examples

Example #1 Using Imagick::transformImage():

The example creates a 100x100 black image.

`<?php
$image = new Imagick();
$image->newImage(300, 200, "black");
$new_image = $image->transformImage("100x100", "100x100");
$new_image->writeImage('test_out.jpg');
?>`

### See Also

- Imagick::cropImage() - Extracts a region of the image
- Imagick::resizeImage() - Scales an image
- Imagick::thumbnailImage() - Changes the size of an image